function Pg = peakReuterlognormal(coeff,G)
%Generates the peak shape according to Reuter et al. but assuming a log
%normal distribution for gamma

g = 10.^G;
Ef = -5;
eps = coeff(1)+Ef; %coeff(1) = abs(Ef-eps) let's assume eps<Ef<0
deps = coeff(2);
gamma = coeff(3); %note that this is the natural logarithm of the physically relavant value
dgamma = coeff(4);

%integrand = @(e) abs(Ef-e).*exp((-(e-eps).^2)./(2.*deps.^2) - ((log(abs(Ef-e).*sqrt(g./(1-g)))-gamma).^2)./(2.*dgamma.^2));
%integrand = @(e) abs(Ef-e).*(1./(abs(Ef-e).*sqrt(g./(1-g)))).*exp((-(e-eps).^2)./(2.*deps.^2) - ((log(abs(Ef-e).*sqrt(g./(1-g)))-gamma).^2)./(2.*dgamma.^2));
integrand = @(e) (1./(sqrt(g./(1-g)))).*exp((-(e-eps).^2)./(2.*deps.^2) - ((log(abs(Ef-e).*sqrt(g./(1-g)))-gamma).^2)./(2.*dgamma.^2));


INT = integral(integrand, -10,0,'ArrayValued',1);
Pg = (1./(4.*pi.*deps.*dgamma.*sqrt(g.*(1-g).^3))).*INT;
Pg = Pg./max(Pg);
end

